Rasa interactive Cannot connect to host localhost:5005 ssl:default [Connection refused]

I am trying to save what the training i did with rasa interactive into nlu, stories, and domain. But when i click on export and exit the following log gets printed with error

2021-01-21 13:14:56 ERROR    rasa.core.training.interactive  - An exception occurred while recording messages.
Traceback (most recent call last):
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/connector.py", line 936, in _wrap_create_connection
    return await self._loop.create_connection(*args, **kwargs)  # type: ignore  # noqa
  File "uvloop/loop.pyx", line 1974, in create_connection
  File "uvloop/loop.pyx", line 1951, in uvloop.loop.Loop.create_connection
ConnectionRefusedError: [Errno 111] Connection refused

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/core/training/interactive.py", line 1408, in record_messages
    await _enter_user_message(conversation_id, endpoint)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/core/training/interactive.py", line 1247, in _enter_user_message
    message = await _ask_questions(question, conversation_id, endpoint, lambda a: not a)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/core/training/interactive.py", line 314, in _ask_questions
    should_retry = await _ask_if_quit(conversation_id, endpoint)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/core/training/interactive.py", line 608, in _ask_if_quit
    await _write_data_to_file(conversation_id, endpoint)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/core/training/interactive.py", line 577, in _write_data_to_file
    tracker = await retrieve_tracker(endpoint, conversation_id)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/core/training/interactive.py", line 178, in retrieve_tracker
    method="get", subpath=path, headers={"Accept": "application/json"}
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/utils/endpoints.py", line 150, in request
    **kwargs,
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/client.py", line 1012, in __aenter__
    self._resp = await self._coro
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/client.py", line 483, in _request
    timeout=real_timeout
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/connector.py", line 523, in connect
    proto = await self._create_connection(req, traces, timeout)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/connector.py", line 859, in _create_connection
    req, traces, timeout)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/connector.py", line 1004, in _create_direct_connection
    raise last_exc
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/connector.py", line 986, in _create_direct_connection
    req=req, client_error=client_error)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/connector.py", line 943, in _wrap_create_connection
    raise client_error(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host localhost:5005 ssl:default [Connection refused]
2021-01-21 13:14:56 ERROR    asyncio  - Task exception was never retrieved
future: <Task finished coro=<_serve_application.<locals>.run_interactive_io() done, defined at /home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/core/training/interactive.py:1500> exception=ClientConnectorError(ConnectionKey(host='localhost', port=5005, is_ssl=False, ssl=None, proxy=None, proxy_auth=None, proxy_headers_hash=None), ConnectionRefusedError(111, 'Connection refused'))>
Traceback (most recent call last):
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/connector.py", line 936, in _wrap_create_connection
    return await self._loop.create_connection(*args, **kwargs)  # type: ignore  # noqa
  File "uvloop/loop.pyx", line 1974, in create_connection
  File "uvloop/loop.pyx", line 1951, in uvloop.loop.Loop.create_connection
ConnectionRefusedError: [Errno 111] Connection refused

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/core/training/interactive.py", line 1507, in run_interactive_io
    conversation_id=conversation_id,
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/core/training/interactive.py", line 1408, in record_messages
    await _enter_user_message(conversation_id, endpoint)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/core/training/interactive.py", line 1247, in _enter_user_message
    message = await _ask_questions(question, conversation_id, endpoint, lambda a: not a)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/core/training/interactive.py", line 314, in _ask_questions
    should_retry = await _ask_if_quit(conversation_id, endpoint)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/core/training/interactive.py", line 608, in _ask_if_quit
    await _write_data_to_file(conversation_id, endpoint)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/core/training/interactive.py", line 577, in _write_data_to_file
    tracker = await retrieve_tracker(endpoint, conversation_id)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/core/training/interactive.py", line 178, in retrieve_tracker
    method="get", subpath=path, headers={"Accept": "application/json"}
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/rasa/utils/endpoints.py", line 150, in request
    **kwargs,
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/client.py", line 1012, in __aenter__
    self._resp = await self._coro
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/client.py", line 483, in _request
    timeout=real_timeout
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/connector.py", line 523, in connect
    proto = await self._create_connection(req, traces, timeout)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/connector.py", line 859, in _create_connection
    req, traces, timeout)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/connector.py", line 1004, in _create_direct_connection
    raise last_exc
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/connector.py", line 986, in _create_direct_connection
    req=req, client_error=client_error)
  File "/home/nicolas.lg/PycharmProjects/rasa_udemy/venv/lib/python3.6/site-packages/aiohttp/connector.py", line 943, in _wrap_create_connection
    raise client_error(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host localhost:5005 ssl:default [Connection refused]

Just so I understand. You got this error while working with Rasa X locally? If so, could you share the versions that you’re running? You should get an overview by running;

rasa --version